package com.example.demo;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

@Controller
@RequestMapping("/rozmowa")
public class RozmowaController {
	
	@GetMapping
	public String rozmowaGet() {
		return "rozmowa";
	}
	
	@PostMapping
	public String rozmowaPost(String imie, Integer wiek, Model model) {
		model.addAttribute("pozdrowienie", "Witaj " + imie + "!");
		
		if(wiek >= 18) {
			model.addAttribute("piwo", "Możesz kupić piwo");
		} else {
			model.addAttribute("piwo", "Niepełnoletnim nie sprzedajemy");
		}
		
		return "rozmowa";
	}
	
}
